| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

- Data Structures
- Data Fields

Data Fields
arm_fir_decimate_instance_q31 Struct Reference

Instance structure for the Q31 FIR decimator.

## Data Fields

uint8_t | M
uint16_t | numTaps
q31_t * | pCoeffs
q31_t * | pState

## Field Documentation

uint8_t arm_fir_decimate_instance_q31::M

decimation factor.

Referenced by arm_fir_decimate_fast_q31(), arm_fir_decimate_init_q31(), and arm_fir_decimate_q31().

uint16_t arm_fir_decimate_instance_q31::numTaps

number of coefficients in the filter.

Referenced by arm_fir_decimate_fast_q31(), arm_fir_decimate_init_q31(), and arm_fir_decimate_q31().

q31_t* arm_fir_decimate_instance_q31::pCoeffs

points to the coefficient array. The array is of length numTaps.

Referenced by arm_fir_decimate_fast_q31(), arm_fir_decimate_init_q31(), and arm_fir_decimate_q31().

q31_t* arm_fir_decimate_instance_q31::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Referenced by arm_fir_decimate_fast_q31(), arm_fir_decimate_init_q31(), and arm_fir_decimate_q31().